.TH curs_getyx 3 ""
.SH NAME
\fBgetyx\fR, \fBgetparyx\fR, \fBgetbegyx\fR,
\fBgetmaxyx\fR - get \fBncurses\fR cursor and window coordinates
.SH SYNOPSIS
\fB#include <ncurses.h>\fR

\fBvoid getyx(WINDOW *win, int y, int x);\fR
.br
\fBvoid getparyx(WINDOW *win, int y, int x);\fR
.br
\fBvoid getbegyx(WINDOW *win, int y, int x);\fR
.br
\fBvoid getmaxyx(WINDOW *win, int y, int x);\fR
.br
.SH DESCRIPTION
The \fBgetyx\fR macro places the cursor position of the window in the two
integer variables \fIy\fR and \fIx\fR.

If \fIwin\fR is a subwindow, the \fBgetparyx\fR macro places the beginning
coordinates of the subwindow relative to the parent window into two integer
variables \fIy\fR and \fIx\fR.  Otherwise, \fB-1\fR is placed into \fIy\fR and
\fIx\fR.

Like \fBgetyx\fR, the \fBgetbegyx\fR and \fBgetmaxyx\fR macros store
the current beginning coordinates and size of the specified window.
.SH RETURN VALUE
The return values of these macros are undefined (\fIi\fR.\fIe\fR.,
they should not be used as the right-hand side of assignment
statements).
.SH NOTES
All of these interfaces are macros and that "\fB&\fR" is not
necessary before the variables \fIy\fR and \fIx\fR.
.SH SEE ALSO
\fBncurses\fR(3)
.\"#
.\"# The following sets edit modes for GNU EMACS
.\"# Local Variables:
.\"# mode:nroff
.\"# fill-column:79
.\"# End:
